%define upstream_name	 Acme-Cow
%define upstream_version 0.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:	A configurable speaking/thinking Cow
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://www.nog.net/~tony/warez/cowsay.shtml
Source0:	http://www.nog.net/~tony/warez/%{upstream_name}-%{upstream_version}.tar.bz2


Buildrequires:  perl(Text::Template)

Buildarch:	noarch


conflicts:	cowsay

%description
Talking cows.  ASCII artwork.  A veritable foundation of the
Internet.

Now you can make the cows say whatever you want.  Acme::Cow is the
module that does all the work behind the new version of cow{say,think}
(also included in this distribution).  Now you can incorporate
loquactious cattle into any program you want, quickly and easily.

%prep
%setup -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
%make test

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc Changes README
%{_bindir}/*
%{perl_vendorlib}/Acme*
%{_mandir}/*/*

%changelog
* Fri Jan 21 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 29768
- mageia rebuild
- imported package perl-Acme-Cow


* Wed Feb 10 2010 Jérôme Quelin <jquelin@mandriva.org> 0.100.0-1mdv2010.1
+ Revision: 503910
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.1-11mdv2010.0
+ Revision: 430255
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.1-10mdv2009.0
+ Revision: 255254
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1-8mdv2008.1
+ Revision: 133627
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.1-7mdv2007.0
+ Revision: 73165
- import perl-Acme-Cow-0.1-7mdv2007.0

* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.1-7mdv2007.0
- Rebuild

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.1-6mdk
- Buildrequires fix using perl policy

* Sat Oct 01 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.1-5mdk
- Buildrequires fix

* Wed Jun 08 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.1-4mdk 
- better url
- drop useless empty directories
- spec cleanup
- rpmbuildupdate aware
- make test (even cows have regression tests)

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.1-3mdk
- fix buildrequires in a backward compatible way

* Sun Jun 06 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.1-2mdk 
- mooooooooooooooooo! (aka fixing changelog, thx Stefan <stefan@eijk.nu>)

* Sun Jun 06 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.1-1mdk 
- yeeeeeeeeeeeeeeeeeeeeeeeeeeeah

